#ifndef __NLL_NLLMAIN_H_INCLUDED__
#define __NLL_NLLMAIN_H_INCLUDED__

int nll_init(FILE *in, FILE *out);
int nll_new(void);
int nll_done(void);

int nll_make_argc(int argc);
int nll_make_argv(int argc, char *argv[]);
int nll_set_arg(int index, value_t arg);
int nll_del_argc(void);
int nll_del_argv(void);

int nll_main(int argc, char *argv[], int quit, int auto_run, int auto_number, char *command);

#endif
